/*
 * Copyright 2006-2011 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.codegen.exception;

import org.seasar.framework.exception.SRuntimeException;

/**
 * リソース生成時の回復不可能な例外処理クラスです。
 * 
 * @author azusa
 * 
 */
public class CodeGenException extends SRuntimeException {

    private static final long serialVersionUID = 9193402262932121036L;

    public CodeGenException(String arg0) {
        super(arg0);
    }

    public CodeGenException(String arg0, Throwable th) {
        super(arg0, new Object[] {}, th);
    }

    public CodeGenException(String arg0, Object[] arg1) {
        super(arg0, arg1);
    }

    public CodeGenException(String arg0, Object[] arg1, Throwable arg2) {
        super(arg0, arg1, arg2);
    }

}
